libzypp 17.37.10

zypp::xml::detail::EscapedString Struct Reference

`#include <zypp-core/parser/xml/XmlEscape.h>`

## Public Member Functions
| EscapedString (const std::string &in_r)
std::ostream & | dumpOn (std::ostream &str) const
std::string | asString () const
| operator std::string () const

## Private Attributes
const std::string & | _in

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const EscapedString &obj)
| Stream output.

## Detailed Description

Definition at line 28 of file XmlEscape.h.

## Constructor & Destructor Documentation

## ◆ EscapedString()

zypp::xml::detail::EscapedString::EscapedString | ( | const std::string & | in_r | ) |
| inline

Definition at line 30 of file XmlEscape.h.

## Member Function Documentation

## ◆ dumpOn()

std::ostream & zypp::xml::detail::EscapedString::dumpOn | ( | std::ostream & | str | ) | const

Definition at line 79 of file XmlEscape.cc.

## ◆ asString()

std::string zypp::xml::detail::EscapedString::asString | ( |  | ) | const
| inline

Definition at line 32 of file XmlEscape.h.

## ◆ operator std::string()

zypp::xml::detail::EscapedString::operator std::string | ( |  | ) | const
| inline

Definition at line 34 of file XmlEscape.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const EscapedString & | obj )
| related

Stream output.

Definition at line 41 of file XmlEscape.h.

## Member Data Documentation

## ◆ _in

const std::string& zypp::xml::detail::EscapedString::_in
| private

Definition at line 37 of file XmlEscape.h.

The documentation for this struct was generated from the following files:

- zypp-core/parser/xml/XmlEscape.h
- zypp-core/parser/xml/XmlEscape.cc